Documents

Create Organization Document

Registers an uploaded file key as an org-level document with category and visibility flags.

POSThttps://api.toku.com/hris/create-organization-document

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/hris/create-organization-document' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileKey": "string",
  "documentName": "string",
  "category": "PROFESSIONAL_SERVICES_AGREEMENT",
  "visibleToClientAdmins": true,
  "visibleToEmployees": false,
  "notifyClientAdmins": false
}'
200 response
{
  "organizationDocumentID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fileKeystringrequired

Allowed: at least 1 characters

documentNamestringrequired

Allowed: 1 to 255 characters

categorystringrequired

Available options: PROFESSIONAL_SERVICES_AGREEMENT, INITIAL_ORDER_FORM, BENEFITS_ENROLLMENT_FORM, COMPANY_DOCUMENTATION, OTHER

visibleToClientAdminsbooleanrequired

Default: true

visibleToEmployeesbooleanrequired

Default: false

notifyClientAdminsbooleanrequired

Default: false

Response

200Successful response
organizationDocumentIDstring<uuid>
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits